# SafeWrapper

interface SafeWrapper < T >(source)

#### Inheritors

Default

## Types

Companion
Link copied to clipboard
object Companion
Default
Link copied to clipboard
class Default < T >(t: T ) : SafeWrapper < T >

## Functions

safe
Link copied to clipboard
open fun < R > safe (block: T .() -> R ): Result < R >
safeS
Link copied to clipboard
open suspend fun < R > safeS (block: suspend T .() -> R ): Result < R >
unsafe
Link copied to clipboard
open fun < R > unsafe (block: T .() -> R ): R
unsafeS
Link copied to clipboard
open suspend fun < R > unsafeS (block: suspend T .() -> R ): R
unsafeTarget
Link copied to clipboard
abstract fun unsafeTarget (): T